# Get a Report

`GET https://api.agilitycredit.net/v3/credit-reports/{id}`

Docs page: https://apidocs.agilitycredit.com/api/get-credit-report · Tag: Credit Reports

Get a credit report with report ID

Authentication: `Authorization: Bearer <api key>`.

## Parameters

| Name | In | Required | Description |
| --- | --- | --- | --- |
| `id` | path | yes | UUID of the report to be fetched. |
| `Agc-Tenant-Id` | header | yes | The tenant ID provided by Agility Credit. |
| `Agc-User-Id` | header | yes | The requestor user ID. |
| `Agc-Applicant-Id` | header |  | If passed, will assign the report to that applicant. If not, will create a new applicant ID |
| `format` | query | yes | Format of the report to be returned. |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Inquiry processed successfully | one of: InquiryResponse, InquiryResponseWithBureauError, InquiryResponseJoint, InquiryResponseMultipleFormats |
| 400 | Bad Request | BadRequestResponse |
| 401 | Unauthorized | UnauthorizedResponse |
| 429 | Too Many Requests | TooManyRequestsResponse |
| 500 | Internal Server Error | AgilityServerErrorResponse |
The 200 body is one of: `InquiryResponse`, `InquiryResponseWithBureauError`, `InquiryResponseJoint`, `InquiryResponseMultipleFormats` (discriminator: `body_type`).

### Error bodies

400:

```json
{
  "status": "Bad Request - Invalid Parameters",
  "error": "Failed schema validation. Error: data.pull_type must be one of ['prequal', 'hard'], Path: ['data', 'pull_type'], Data: prequalification"
}
```

401:

```json
{
  "message": "Unauthorized"
}
```

429:

```json
{
  "error": "Too Many Requests"
}
```

500:

```json
{
  "message": "Agility Server Error"
}
```
